<template>
  <div class="card card-w70">
    <template v-if="parts.length">
      <component
          v-for="part in parts"
          :is="'app-'+part.type"
          :key="part.key"
          :text="part.text"
      >

      </component>
    </template>
    <h3 v-else>Добавьте первый блок, чтобы увидеть результат</h3>
  </div>
</template>

<script>
import AppTitle from '@/components/parts/AppTitle'
import AppAvatar from '@/components/parts/AppAvatar'
import AppSubtitle from '@/components/parts/AppSubtitle'
import AppText from '@/components/parts/AppText'
export default {
  props:{
    parts: {
      type:Array,
      required:true
    },
  },
  components:{
    AppTitle,
    AppAvatar,
    AppSubtitle,
    AppText
  },
}

</script>

<style scoped>

</style>
